%define Werror_cflags	%nil

%define	fname	tuxmath_w_fonts

# Summary and description stolen from Debian, thanks - AdamW 2009/01

Summary:	Math game for kids with Tux
Name:		tuxmath
Version:	2.0.3
Release:	%mkrel 1
# have to change with each new release as the number after download.php changes :(
Source:		http://alioth.debian.org/frs/download.php/3470/%{fname}-%{version}.tar.gz
URL:		http://alioth.debian.org/frs/?group_id=31080
License:	GPLv3+
Group:		Games/Other
BuildRequires:	SDL-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_Pango-devel
BuildRequires:	SDL_net-devel
BuildRequires:	librsvg-devel
BuildRequires:	imagemagick
BuildRequires:	libt4k_common-devel
Requires:	t4k_common

%description 
"Tux, of Math Command" ("TuxMath", for short) is an educational arcade
game starring Tux, the Linux mascot! Based on the classic arcade game
"Missile Command", Tux must defend his cities. In this case, though,
he must do it by solving math problems. 

%prep
%setup -q -n %{fname}-%{version}

%build
%configure2_5x	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
%make

%install
rm -rf %{buildroot}
%makeinstall_std
rm -fr %{buildroot}%{_prefix}/doc

install -d %{buildroot}%{_datadir}/applications
cat <<EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=TuxMath
Comment=Math game for kids with Tux
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;KidsGame;Education;
EOF

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
convert -scale 16x16 data/images/icons/%{name}.ico %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert -scale 32x32 data/images/icons/%{name}.ico %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 48x48 data/images/icons/%{name}.ico %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS doc/changelog doc/README* doc/TODO*
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}admin
%{_gamesbindir}/%{name}server
%{_gamesbindir}/%{name}testclient
%{_gamesbindir}/generate_lesson
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png




%changelog

* Sun Sep 18 2011 fwang <fwang> 2.0.3-1.mga2
+ Revision: 144833
- fix desktop
- new version 2.0.3

* Sun Mar 27 2011 anaselli <anaselli> 1.9.0-1.mga1
+ Revision: 78121
- imported package tuxmath

